import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel();
Page({
    options: {
        addGlobalClass: true,
    },
    /**
     * 页面的初始数据
     */
    data: {
        memberList: [], //成员列表
        fisadministrator: false, //是否主账号
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {},
    /* 修改成员信息 */
    changeMemberMessage(e) {
        const {
            index
        } = e.currentTarget.dataset;
        const data = JSON.stringify(this.data.memberList[index]);
        wx.navigateTo({
            url: './change?data=' + data,
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

        //获取成员列表
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.usercenter.teammsg.teammsg",
            "method": "query_userList",
            "content": {
                "getdatafromdbanyway": true
            }
        }).then(res => {
            if (res.msg != '成功') return;
            this.setData({
                memberList: res.data,
                fisadministrator: (wx.getStorageSync('userData').fisadministrator == 1) ? true : false
            })
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})